<?php

namespace Drupal\Tests\usfedgov_google_analytics\Functional;

use Drupal\Core\Url;
use Drupal\Tests\BrowserTestBase;

/**
 * User permissions test.
 *
 * @group usfedgov_google_analytics
 */
class PermissionsTest extends BrowserTestBase {

  /**
   * A user with permission to administer settings.
   *
   * @var \Drupal\user\Entity\User
   */
  protected $adminUser;

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['usfedgov_google_analytics'];

  /**
   * {@inheritdoc}
   */
  protected $strictConfigSchema = FALSE;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->adminUser = $this->drupalCreateUser([
      'access administration pages',
      'administer federal google analytics',
    ]);
  }

  /**
   * Ensures that access to the settings form is restricted.
   */
  public function testSettingsFormAccess(): void {
    $url = Url::fromRoute('usfedgov_google_analytics.form');

    $this->drupalGet($url);
    $this->assertSession()->statusCodeEquals(403);

    $this->drupalLogin($this->adminUser);
    $this->drupalGet($url);
    $this->assertSession()->statusCodeEquals(200);
  }

}
