<?php

namespace Drupal\Tests\usfedgov_google_analytics\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Tests usfedgov_google_analytics config schema deprecation.
 *
 * @group usfedgov_google_analytics
 * @group legacy
 */
class ConfigSchemaDeprecationTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'usfedgov_google_analytics',
  ];

  /**
   * Tests config schema deprecation.
   */
  public function testConfigSchemaDeprecation() {
    $this->expectDeprecation('The \'pua\' config schema is deprecated in usfedgov_google_analytics:2.2.0 and is removed from usfedgov_google_analytics:3.0.0. Use the \'pga4\' config schema instead. See https://www.drupal.org/node/3457060.');
    $config = $this->config('usfedgov_google_analytics.settings');
    $config
      ->set('usfedgov_google_analytics__settings.extra.pua', 'UA-000000-00')
      ->save();
    $this->assertSame('UA-000000-00', $config->get('usfedgov_google_analytics__settings.extra.pua'));
  }

}

